| LogDoctor 4.00 Parse Apache2/Nginx/IIS logs and view dinamically generated statistics

Loading...
Searching...
No Matches
Functions
VecOps Namespace Reference

VecOps. More...

## Functions
template<typename T >
bool | contains (const std::vector< T > &list, const T &flag) noexcept
| Checks if a vector contains an element.

## Detailed Description

VecOps.

Utilities for the vectors

## Function Documentation

## ◆ contains()

template<typename T >

bool VecOps::contains | ( | const std::vector< T > & | list,
|  | const T & | flag )
| inline noexcept

Checks if a vector contains an element.

Parameters

  list | The target vector
  flag | The element to search for

Returns
  Whether the list does contain the flag or not